Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 405161 - Review Request: xvkbd - X virtual Keyboard
Summary: Review Request: xvkbd - X virtual Keyboard
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-11-29 21:46 UTC by Kevin DeKorte
Modified: 2008-01-14 10:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-14 10:56:35 UTC


Attachments (Terms of Use)

Description Kevin DeKorte 2007-11-29 21:46:34 UTC
Spec URL: http://dekorte.homeip.net/yum/fedora/SPECS/xvkbd.spec
SRPM URL: http://dekorte.homeip.net/yum/fedora/SRPMS/xvkbd-2.8-1.src.rpm
Description: Virtual Keyboard for X

Comment 1 Kevin DeKorte 2007-11-29 22:11:39 UTC
Need Sponsor

Comment 2 Kevin Fenzi 2007-12-02 18:25:37 UTC
Adding the FE-NEEDSPONSOR blocker here so sponsors can find your request easier. 

You may want to take a look at: 
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Do you have other packages to submit at this time? Or can you go do some
'pre-reviews' of other pending submissions to show you know the guidelines?

Comment 3 Mamoru TASAKA 2007-12-18 17:33:14 UTC
Well, for general packaging guidelines you can refer to
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

* Please consider to use %{?dist} tag.
  http://fedoraproject.org/wiki/Packaging/DistTag

Some random comments:

* The license tag "GPL" is not valid for Fedora. Please refer to
  http://fedoraproject.org/wiki/Licensing
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines

* "Requires: Xaw3d libXaw libXtst" are usually not needed
  as rpmbuild checks the dependencies for libraries and adds
  them as Requires, which should automatically pull those rpms.

* Your srpm does not build.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=298953
  At least imake is missing from BuildRequires.

* setup is not quiet (You can check your srpm beforehand by
  using rpmlint [in rpmlint rpm] as $ rpmlint *rpm )

* Please check if your build honors Fedora specific compilation
  flags (please check the section "Compiler flags" of
  "Guidelines" wiki)

* %{_datadir}/X11/app-defaults is already owned by libXt and this
   package should not own this directory.
  ! Note
    When you write
-----------------------------------------------------------
%files
%{_datadir}/X11/app-defaults
-----------------------------------------------------------
    This includes the directory %_datadir/X11/app-defaults itself
    and all files/directories/etc under %_datadir/X11/app-defaults.

* And perhaps installing files under %_libdir/X11/app-defaults is
  not desired.

* Files under %_mandir are automatically tagged as %doc.

* Also please fix %changelog.

! Note:
  Please change the release number of your spec/srpm each time
  when you modify them.

Comment 4 Mamoru TASAKA 2007-12-24 14:31:44 UTC
ping?

Comment 5 Mamoru TASAKA 2008-01-11 15:24:04 UTC
ping again?

Comment 6 Mamoru TASAKA 2008-01-13 16:43:33 UTC
I will close this bug if no response from the reporter is received by
2008-01-25.

Comment 7 Kevin DeKorte 2008-01-13 18:56:44 UTC
Close it...  

Comment 8 Mamoru TASAKA 2008-01-14 10:56:35 UTC
Okay. Once closing. Thank you anyway!


Note You need to log in before you can comment on or make changes to this bug.